Bug 846384 - Please update livecd-late.service to order itself before display-manager.service
Please update livecd-late.service to order itself before display-manager.service
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: spin-kickstarts (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F18DisplayManager
  Show dependency treegraph
 
Reported: 2012-08-07 11:44 EDT by Lennart Poettering
Modified: 2015-02-17 09:23 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 09:23:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lennart Poettering 2012-08-07 11:44:11 EDT
As part of the display manager rework feature we are removing prefdm.service from the distribution which previously included an ordering dependency "After=livesys-late.service". 

To ensure that livesys-late.service is properly ordered before the display manager, please update it in the livecd-tools packages to include "Before=display-manager.service" instead.

For more information see:

https://fedoraproject.org/wiki/Features/DisplayManagerRework
Comment 1 Lennart Poettering 2012-08-08 17:19:18 EDT
Note that prefdm.service is now gone from F18. This means the display manager will now be started too early on the for livesys-later.service, and is hence presumably broken.
Comment 2 Adam Williamson 2012-08-08 18:44:37 EDT
I suppose that might well explain why every F18 live image I've built so far has failed to start X correctly...
Comment 3 Adam Williamson 2012-08-08 19:16:49 EDT
livesys-late isn't actually a native systemd service, yet. It's still a SysV initscript. I had some patches a while back to at least convert livesys and livesys-late into native systemd services - https://bugzilla.redhat.com/show_bug.cgi?id=739446 . I'll take a look and see if I can fix those up, but if neither I nor anyone else gets around to it, I guess we'd need to keep the dep in display-manager.service :/
Comment 4 Lennart Poettering 2012-08-08 21:31:10 EDT
(In reply to comment #3)
> livesys-late isn't actually a native systemd service, yet. It's still a SysV
> initscript. I had some patches a while back to at least convert livesys and
> livesys-late into native systemd services -
> https://bugzilla.redhat.com/show_bug.cgi?id=739446 . I'll take a look and
> see if I can fix those up, but if neither I nor anyone else gets around to
> it, I guess we'd need to keep the dep in display-manager.service :/

display-manager.service is not a service, it's a symlink to the chose dm, whether it is gdm, kdm, xdm, ...

We really shouldn't have that dep in all those implementations, a single one in the livesys service in the other direction should be more than sufficient.
Comment 5 Lennart Poettering 2012-08-08 21:33:31 EDT
BTW, a dirty hack to make this work is just write a service file that simply executes the sysv script and that's it. That should be fairly simple. Something like this:

[Unit]
Before=display-manager.service

[Service]
ExecStart=/etc/rc.d/init.d/livesys-late start
Type=oneshot

or something like that should already suffice.
Comment 6 Adam Williamson 2012-08-08 23:03:11 EDT
Well, that's more or less what I set out to do, in 739446. It got...more complicated. One of those things that started off as a fifteen minute project and ate an entire weekend. I don't recall all the reasons it turned out not to be so trivial, but there were some.
Comment 7 Adam Williamson 2012-09-17 20:11:53 EDT
For the record, we should keep an After: livesys-late.service in all DM services until this is done. Doing it the other way around is the 'right' way, but it's not easy, I don't have time to fix it, and no-one else seems inclined to at present...
Comment 8 Fedora End Of Life 2013-04-03 11:34:35 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 9 Fedora End Of Life 2015-01-09 12:18:15 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Adam Williamson 2015-01-09 12:31:12 EST
So, neither gdm.service nor sddm.service has "After: livesys-late.service". lightdm.service and lxdm.service do. But GNOME and KDE live images do tend to work. Not sure what's going on there.
Comment 11 Fedora End Of Life 2015-02-17 09:23:34 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.